### Method

# Vips Region buffer

#### Declaration [src]

    int
    vips_region_buffer (
      VipsRegion* reg,
      const VipsRect* r
    )

#### Description [src]

The region is transformed so that at least `r` pixels are available as a memory buffer that can be written to.

#### Parameters

`r`

  Type: `VipsRect`

  `VipsRect` of pixels you need to be able to address.

  The data is owned by the caller of the method.

#### Return value

Type: `int`

0 on success, or -1 for error.